/*******************************************************************************
 * Copyright (c) 2011 Ericsson
 * 
 * All rights reserved. This program and the accompanying materials are
 * made available under the terms of the Eclipse Public License v1.0 which
 * accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *   Bernd Hufmann - Initial API and implementation
 *******************************************************************************/
package org.eclipse.linuxtools.ust.sample.ui;

import org.eclipse.linuxtools.tmf.ui.views.statistics.TmfStatisticsView;
import org.eclipse.linuxtools.tmf.ui.views.statistics.model.AbsTmfStatisticsTree;
import org.eclipse.linuxtools.tmf.ui.views.statistics.model.ITmfColumnDataProvider;
import org.eclipse.linuxtools.ust.sample.ui.model.CustomColumnDataProvider;
import org.eclipse.linuxtools.ust.sample.ui.model.CustomStatisticsModel;

public class CustomStatisticsView extends TmfStatisticsView {

    /**
     * The ID correspond to the package in which this class is embedded
     */
    public static final String ID = "org.eclipse.linuxtools.lttng.ui.views.customStatistics"; //$NON-NLS-1$

    /**
     * Constructor of a statistics view.
     * 
     * @param viewName
     *            The name to give to the view.
     */
    public CustomStatisticsView(String viewName) {
        super(viewName);
    }

    private static final String UST_STATISTICS_VIEW = "Custom Statistics View"; //$NON-NLS-1$

    /**
     * Default constructor.
     */
    public CustomStatisticsView() {
        this(UST_STATISTICS_VIEW);
    }

    /*
     * (non-Javadoc)
     * @see org.eclipse.linuxtools.tmf.ui.views.statistics.TmfStatisticsView#getStatisticData()
     */
    @Override
    protected AbsTmfStatisticsTree getStatisticData() {
        return new CustomStatisticsModel();
    }
    
    /*
     * (non-Javadoc)
     * @see org.eclipse.linuxtools.tmf.ui.views.statistics.TmfStatisticsView#getColumnDataProvider()
     */
    @Override
    protected ITmfColumnDataProvider getColumnDataProvider() {
        return new CustomColumnDataProvider();
    }
}
